samba4-pidl-4.2.10-15.el6.i686.rpm


Advertisement

Description

samba4-pidl - Perl IDL compiler

Property Value
Distribution CentOS 6
Repository CentOS i386
Package filename samba4-pidl-4.2.10-15.el6.i686.rpm
Package name samba4-pidl
Package version 4.2.10
Package release 15.el6
Package architecture i686
Package type rpm
Category Development/Tools
Homepage http://www.samba.org/
License GPLv3+ and LGPLv3+
Maintainer -
Download size 111.61 KB
Installed size 427.19 KB
The samba4-pidl package contains the Perl IDL compiler used by Samba
and Wireshark to parse IDL and similar protocols

Alternatives

Package Version Architecture Repository
samba4-pidl-4.2.10-15.el6.x86_64.rpm 4.2.10 x86_64 CentOS
samba4-pidl - - -

Requires

Name Value
/usr/bin/env -
perl(:MODULE_COMPAT_5.10.1) -
perl(Exporter) -
perl(File::Basename) -
perl(FindBin) -
perl(Getopt::Long) -
perl(Parse::Yapp) -
perl(Parse::Yapp::Driver) -
perl(lib) -
perl(strict) -
perl(vars) -

Provides

Name Value
perl(Parse::Pidl) = 0.02
perl(Parse::Pidl::CUtil) = 0.01
perl(Parse::Pidl::Compat) = 0.01
perl(Parse::Pidl::Dump) = 0.01
perl(Parse::Pidl::Expr) -
perl(Parse::Pidl::IDL) -
perl(Parse::Pidl::NDR) = 0.01
perl(Parse::Pidl::ODL) = 0.01
perl(Parse::Pidl::Samba3::ClientNDR) = 0.01
perl(Parse::Pidl::Samba3::ServerNDR) = 0.01
perl(Parse::Pidl::Samba4) = 0.01
perl(Parse::Pidl::Samba4::COM::Header) = 0.01
perl(Parse::Pidl::Samba4::COM::Proxy) = 0.01
perl(Parse::Pidl::Samba4::COM::Stub) = 0.01
perl(Parse::Pidl::Samba4::Header) = 0.01
perl(Parse::Pidl::Samba4::NDR::Client) = 0.01
perl(Parse::Pidl::Samba4::NDR::Parser) = 0.01
perl(Parse::Pidl::Samba4::NDR::Server) = 0.01
perl(Parse::Pidl::Samba4::Python) = 0.01
perl(Parse::Pidl::Samba4::TDR) = 0.01
perl(Parse::Pidl::Samba4::Template) = 0.01
perl(Parse::Pidl::Typelist) = 0.01
perl(Parse::Pidl::Util) = 0.01
perl(Parse::Pidl::Wireshark::Conformance) = 0.01
perl(Parse::Pidl::Wireshark::NDR) = 0.01
samba4-pidl = 4.2.10-15.el6
samba4-pidl(x86-32) = 4.2.10-15.el6

Download

Type URL
Mirror mirror.centos.org
Binary Package samba4-pidl-4.2.10-15.el6.i686.rpm
Source Package samba4-4.2.10-15.el6.src.rpm

Install Howto

Install samba4-pidl rpm package:

# yum install samba4-pidl

Files

Path
/usr/bin/pidl
/usr/share/man/man1/pidl.1.gz
/usr/share/man/man3/Parse::Pidl::Dump.3pm.gz
/usr/share/man/man3/Parse::Pidl::NDR.3pm.gz
/usr/share/man/man3/Parse::Pidl::Util.3pm.gz
/usr/share/man/man3/Parse::Pidl::Wireshark::Conformance.3pm.gz
/usr/share/man/man3/Parse::Pidl::Wireshark::NDR.3pm.gz
/usr/share/perl5/vendor_perl/Parse/Pidl.pm
/usr/share/perl5/vendor_perl/Parse/Pidl/CUtil.pm
/usr/share/perl5/vendor_perl/Parse/Pidl/Compat.pm
/usr/share/perl5/vendor_perl/Parse/Pidl/Dump.pm
/usr/share/perl5/vendor_perl/Parse/Pidl/Expr.pm
/usr/share/perl5/vendor_perl/Parse/Pidl/IDL.pm
/usr/share/perl5/vendor_perl/Parse/Pidl/NDR.pm
/usr/share/perl5/vendor_perl/Parse/Pidl/ODL.pm
/usr/share/perl5/vendor_perl/Parse/Pidl/Samba4.pm
/usr/share/perl5/vendor_perl/Parse/Pidl/Typelist.pm
/usr/share/perl5/vendor_perl/Parse/Pidl/Util.pm
/usr/share/perl5/vendor_perl/Parse/Pidl/Samba3/ClientNDR.pm
/usr/share/perl5/vendor_perl/Parse/Pidl/Samba3/ServerNDR.pm
/usr/share/perl5/vendor_perl/Parse/Pidl/Samba4/Header.pm
/usr/share/perl5/vendor_perl/Parse/Pidl/Samba4/Python.pm
/usr/share/perl5/vendor_perl/Parse/Pidl/Samba4/TDR.pm
/usr/share/perl5/vendor_perl/Parse/Pidl/Samba4/Template.pm
/usr/share/perl5/vendor_perl/Parse/Pidl/Samba4/COM/Header.pm
/usr/share/perl5/vendor_perl/Parse/Pidl/Samba4/COM/Proxy.pm
/usr/share/perl5/vendor_perl/Parse/Pidl/Samba4/COM/Stub.pm
/usr/share/perl5/vendor_perl/Parse/Pidl/Samba4/NDR/Client.pm
/usr/share/perl5/vendor_perl/Parse/Pidl/Samba4/NDR/Parser.pm
/usr/share/perl5/vendor_perl/Parse/Pidl/Samba4/NDR/Server.pm
/usr/share/perl5/vendor_perl/Parse/Pidl/Wireshark/Conformance.pm
/usr/share/perl5/vendor_perl/Parse/Pidl/Wireshark/NDR.pm

Changelog

2018-03-14 - Andreas Schneider <asn@redhat.com> - 4.2.10-15
- resolves: #1552005 - Fix CVE-2018-1050
2018-01-02 - Andreas Schneider <asn@redhat.com> - 4.2.10-14
- resolves: #1492780 - Do not build with -Wl,-z,now on ppc64
2017-11-17 - Andreas Schneider <asn@redhat.com> - 4.2.10-12
- resolves: #1514313 - Fix CVE-2017-14746 and CVE-2017-15275
2017-09-14 - Andreas Schneider <asn@redhat.com> - 4.2.10-11
- resolves: #1491209 - CVE-2017-12150 CVE-2017-12163
2017-05-18 - Guenther Deschner <gdeschner@redhat.com> - 4.2.10-10
- resolves: #1450780 - Security fix for CVE-2017-7494
2016-12-16 - Andreas Schneider <asn@redhat.com> - 4.2.10-9
- resolves: #1405358 - CVE-2016-2125 CVE-2016-2126
2016-10-31 - Alexander Bokovoy <abokovoy@redhat.com> - 4.2.10-8
- Synchronize patches for Samba 4.2.10 with RHEL 7.2.z
- Resolves: #1383685 - Update samba4 to be on par with RHEL 7.2.z
2016-07-05 - Andreas Schneider <asn@redhat.com> - 4.2.10-7
- resolves: #1351959 - Fix CVE-2016-2119
2016-04-12 - Alexander Bokovoy <abokovoy@redhat.com> - 4.2.10-6
- Fix domain member winbind not being able to talk to trusted domains' DCs
- Related: #1322689
2016-04-11 - Alexander Bokovoy <abokovoy@redhat.com> - 4.2.10-5
- Fix crash in smb.conf processing
- Related: #1322689

See Also

Package Description
samba4-python-4.2.10-15.el6.i686.rpm Samba Python libraries
samba4-test-4.2.10-15.el6.i686.rpm Testing tools for Samba servers and clients
samba4-winbind-4.2.10-15.el6.i686.rpm Samba winbind
samba4-winbind-clients-4.2.10-15.el6.i686.rpm Samba winbind clients
samba4-winbind-krb5-locator-4.2.10-15.el6.i686.rpm Samba winbind krb5 locator
samyak-devanagari-fonts-1.2.1-9.el6.noarch.rpm Open Type Fonts for Devanagari script
samyak-fonts-common-1.2.1-9.el6.noarch.rpm Common files for samyak-fonts
samyak-gujarati-fonts-1.2.1-9.el6.noarch.rpm Open Type Fonts for Gujarati script
samyak-malayalam-fonts-1.2.1-9.el6.noarch.rpm Open Type Fonts for Malayalam script
samyak-oriya-fonts-1.2.1-9.el6.noarch.rpm Open Type Fonts for Oriya script
samyak-tamil-fonts-1.2.1-9.el6.noarch.rpm Open Type Fonts for Tamil script
sane-backends-1.0.21-5.el6.i686.rpm Scanner access software
sane-backends-devel-1.0.21-5.el6.i686.rpm SANE development toolkit
sane-backends-libs-1.0.21-5.el6.i686.rpm SANE libraries
sane-backends-libs-gphoto2-1.0.21-5.el6.i686.rpm SANE libraries for gphoto2
Advertisement
Advertisement